For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTCreateCallList
        • POSTAppendToCallList
        • POSTCancelCallListBatch
        • POSTEditCallList
        • POSTEditCallListTasksPriority
        • POSTDeleteCallList
        • POSTGetCallLists
        • POSTGetCallListDetails
        • POSTEditCallListTask
        • POSTCancelCallListTask
        • POSTStopCallListProcessing
        • POSTRecoverCallList
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceCall Lists

CancelCallListBatch

||View as Markdown|
POST
https://api.voximplant.com/platform_api/CancelCallListBatch
POST
/platform_api/CancelCallListBatch
$curl -X POST "https://api.voximplant.com/platform_api/CancelCallListBatch?batch_ids=3fa85f64-5717-4562-b3fc-2c963f66afa6%3B7c9e6679-7425-40de-944b-e07fc1f90ae7&list_id=12345" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": true
3}

Cancels all tasks in the call list with the specified batch UUID.

Allowed roles: Owner, Admin, Developer, Call list manager.

Was this page helpful?
Previous

AppendToCallList

Next

EditCallList

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

list_idintegerOptional

Call list ID. Required unless list_name is provided.

batch_idsstringRequired

Batch UUIDs of the tasks to cancel, separated by semicolon (;)

Response

Successful response
resultboolean
Whether the request completed successfully